# Package java.time.zone

package java.time.zone

Support for time-zones and their rules.

Daylight Saving Time and Time-Zones are concepts used by Governments to alter local time. This package provides support for time-zones, their rules and the resulting gaps and overlaps in the local time-line typically caused by Daylight Saving Time.

## Package specification

Unless otherwise noted, passing a null argument to a constructor or method in any class or interface in this package will cause a `NullPointerException` to be thrown. The Javadoc "@param" definition is used to summarise the null-behavior. The "@throws `NullPointerException`" is not explicitly documented in each method.

All calculations should check for numeric overflow and throw either an `ArithmeticException` or a `DateTimeException`.

Since:
  1.8

- Related Packages
  Package
  Description
  java.time
  The main API for dates, times, instants, and durations.
  java.time.chrono
  Generic API for calendar systems other than the default ISO.
  java.time.format
  Provides classes to print and parse dates and times.
  java.time.temporal
  Access to date and time using fields and units, and date time adjusters.
- Class
  Description
  ZoneOffsetTransition
  A transition between two offsets caused by a discontinuity in the local time-line.
  ZoneOffsetTransitionRule
  A rule expressing how to create a transition.
  ZoneOffsetTransitionRule.TimeDefinition
  A definition of the way a local time can be converted to the actual transition date-time.
  ZoneRules
  The rules defining how the zone offset varies for a single time-zone.
  ZoneRulesException
  Thrown to indicate a problem with time-zone configuration.
  ZoneRulesProvider
  Provider of time-zone rules to the system.